> For the complete documentation index, see [llms.txt](https://docs.thesports.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.thesports.com/dota2/websocket/websocket-sample-data.md).

# WebSocket Sample Data

## Real-time match statistics

```json
[
    {
        "match_id": "5erg57c80gj5m8k",
        "box_num": 1,
        "status_id": 3,
        "single_status_id": 3,
        "economy_lines": [
            "0:0",
            "9:0",
            "24:176"
        ],
        "experience_lines": [
            "0:0",
            "9:0",
            "24:95"
        ],
        "roushan_timer": 0,
        "timer": [
            0,
            0,
            0,
            1269,
            0
        ],
        "is_bp": 0,
        "bp_data": [
            {
                "team_id": "y39mp8dt3460qoj",
                "type": 2,
                "hero_id": "v2y8m4egtjyql07"
            }
        ],
        "home": {
            "id": "x7lm792hpzer2wd",
            "side": 1,
            "stats": [
                24,
                1983,
                63,
                11253,
                18449,
                0,
                1,
                0,
                0,
                1,
                1
            ],
            "pick": [
                "kjw2r08etgqz84o",
                "l965mk6pi5q1ge4",
                "vl7oqd9xh4zm510",
                "gy0or59nh34mwzv",
                "56ypq3egt0jmd7o"
            ],
            "ban": [
                "gx7lm792hwkr2wd",
                "gx7lm792hkkr2wd",
                "8y39mp8dt4qojxg",
                "jednm920fvwryox",
                "z8yomowkikpr0j6",
                "gpxwrx8otg6qyk0",
                "kn54qle1t89mvy9"
            ],
            "players": [
                {
                    "id": "23xmvxdi1pnvrg8",
                    "hero_id": "kjw2r08etgqz84o",
                    "stats": [
                        1,
                        1,
                        0,
                        1,
                        28,
                        5,
                        342,
                        332,
                        2395,
                        5,
                        0
                    ],
                    "equipments": [
                        "",
                        "",
                        "",
                        "d23xmvxdidkrg8n",
                        "4zp5rz51c2wr82w",
                        ""
                    ],
                    "talents": [],
                    "spells": [],
                    "ultimate_status": 0
                }
            ],
            "score": 1
        },
        "away": {
            "id": "y39mp8dt3460qoj",
            "side": 2,
            "stats": [
                12,
                1984,
                48,
                8783,
                0,
                0,
                0,
                0,
                0,
                0,
                0
            ],
            "pick": [
                "kn54qle1t8xmvy9",
                "9dn1m1eptlqoepl",
                "yl5erg57ce1m8k0",
                "jednm920f6ryox8",
                "9k82repwiv0qepz"
            ],
            "ban": [
                "v2y8m4egtjyql07",
                "gx7lm792hwpr2wd",
                "9vjxm89khgvq6od",
                "v2y8m4egtyql074",
                "vl7oqd9xhnzm510",
                "kn54qle1t2xmvy9",
                "gy0or59nh30mwzv"
            ],
            "players": [
                {
                    "id": "jw2r08etyzoxqz8",
                    "hero_id": "jednm920f6ryox8",
                    "stats": [
                        1,
                        0,
                        1,
                        0,
                        29,
                        2,
                        296,
                        242,
                        2269,
                        4,
                        0
                    ],
                    "equipments": [
                        "4zp5rz51c7xr82w",
                        "",
                        "v2y8m4egtyql074",
                        "v2y8m4egtyql074",
                        "e4wyrnxkiym86pv",
                        "p3glrwwgidrdyjv"
                    ],
                    "talents": [],
                    "spells": [],
                    "ultimate_status": 0
                }
            ],
            "score": 0
        }
    }
]
```

## field description

```json
{
    "match_id": "5erg57c80gj5m8k",//Match id
    "box_num": 1,//Current inning
    "status_id": 3,//Match status, please refer to Status Code -> Match Status
    "single_status_id": 3,//Current game status, please refer to Status Code -> Match Status
    "economy_lines": [//Economic curve: the difference between the home team and the away team (Home team - Away team)，Change with time
        "0:0",//Time (seconds):economic difference
        "9:0",
        "24:176"
    ],
    "experience_lines": [//Experience curve: the difference between the home team and the away team (Home team - Away team)，Change with time
        "0:0",//Time (seconds):experience difference
        "9:0",
        "24:95"
    ],
    "timer": [//Match time field description
        0,//Whether to go to the watch, 1. Yes, 0. No
        0,//Whether to count down, 1. Yes, 0. No
        0,//Data release time
        1269,//Time difference between start time and release time (seconds)
        0 //Compatible, ignore
    ],
    "is_bp": 0,//Whether it is in the bp link, 1. Yes, 0. No (The bp link does not belong to the match time)
    "bp_data": [//BP Date
        {
            "team_id": "y39mp8dt3460qoj",//Team id
            "type": 2,//Type, 1-pick 2-ban
            "hero_id": "v2y8m4egtjyql07"//Hero id
        }
    ],
    "home": {//Home team data
        "id": "x7lm792hpzer2wd",//Team id
        "side": 1,//Owner, 1. Radiant, 2. Dire
        "stats": [//Team statistics field description
            24,//Kills
            1983,//Tower Status, please refer to Status Code -> Tower Status
            63,//Barrack Status, please refer to Status Code -> Barrack Status
            11253,//Economic
            18449,//Economic difference
            0,//Experience
            1,//Win this single inning, 1. Yes, 0. No
            0,//First Blood, 1. Yes, 0. No
            0,//First Tower, 1. Yes, 0. No
            1,//First Five Kill, 1. Yes, 0. No
            1//First Ten Kill, 1. Yes, 0. No
        ],
        "pick": [//Choose hero ids
            "kjw2r08etgqz84o",//Hero id
            "l965mk6pi5q1ge4",
            "vl7oqd9xh4zm510",
            "gy0or59nh34mwzv",
            "56ypq3egt0jmd7o"
        ],
        "ban": [//Banned hero ids
            "gx7lm792hwkr2wd",//Hero id
            "gx7lm792hkkr2wd",
            "8y39mp8dt4qojxg",
            "jednm920fvwryox",
            "z8yomowkikpr0j6",
            "gpxwrx8otg6qyk0",
            "kn54qle1t89mvy9"
        ],
        "players": [//Player data
            {
                "id": "23xmvxdi1pnvrg8",//Player id
                "hero_id": "kjw2r08etgqz84o",//Hero id
                "stats": [//Player statistics field description
                    1,//Position order
                    1,//Kills
                    0,//Deaths
                    1,//Assists
                    28,//Last Hits
                    5,//Denies
                    342,//Averages economy per minute
                    332,//Averages experience per minute
                    2395,//Economy
                    5,//Hero level
                    0//Resurrection time
                ],
                "equipments": [//Equipment ids（"" - Unknown, placeholder）Hero skills ids（"" - Unknown, placeholder）
                    "",
                    "",
                    "",
                    "d23xmvxdidkrg8n",
                    "4zp5rz51c2wr82w",
                    ""
                ],
                "talents": [],//Hero Talents ids（"" - Unknown, placeholder）
                "spells": []//Hero skills ids（"" - Unknown, placeholder）
            }
        ],
        "score": 1//Total score (match score)
    },
    "away": {}//The away team field is the same as home
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.thesports.com/dota2/websocket/websocket-sample-data.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
